Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1.http
Class XmlFilter

    java.lang.Object
      |
      +--oracle.portal.provider.v1.http.BaseContentFilter
            |
            +--oracle.portal.provider.v1.http.XmlFilter

All Implemented Interfaces:
  ContentFilter

public class XmlFilter
extends BaseContentFilter

XmlFilter `oracle.portal.utils.xml.v1.XmlFilter` gets the contents of the URL specified in <pageUrl> tag in provider.xml.
If URL content type is HTML then the filter converts HTML source into XHTML and then applies default stylesheet specifed in <stylesheet> tag in provider.xml If URL content type is XML then the filter applies the stylesheet specifed.

Constructor Summary
`XmlFilter()`

Method Summary
`void` | `filterContent(oracle.portal.provider.v1.PortletRenderRequest pr, java.io.InputStream urlStream)` filterResponse method takes PortletRenderRequest and InputStream as arguments, If the "filterType" is text/html, the coming InputStream is converted into XHTML using Tidy.
`java.lang.String` | `getStylesheet()` gets the stylesheet's URL from the provider.xml
`void` | `setStylesheet(java.lang.String stylesheet)` sets the stylesheet's URL from the provider.xml

Methods inherited from class oracle.portal.provider.v1.http.BaseContentFilter
`addJavaScriptSubmitFunction, addJavaScriptToLink, authenticateBasicLoginLinks, authenticateFormLoginLinks, getBaseHRef, getBaseHRef, getInlineRendering, getRedirectUrlFieldName, getSecBaseHRef, getUrlContentType, getUseAuthLinks, getUsePortalStyle, parseBaseHref, popBaseHref, renderContents, replaceAuthLinks, setBaseHRef, setInlineRendering, setRedirectUrlFieldName, setRemoveClassProperty, setSecBaseHRef, setUrlContentType, setUseAuthLinks, setUsePortalStyle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlFilter

    public XmlFilter()

Method Detail

### setStylesheet

    public void setStylesheet(java.lang.String stylesheet)

  sets the stylesheet's URL from the provider.xml
  Parameters:
    `String` - stylesheet URL specified

### getStylesheet

    public java.lang.String getStylesheet()

  gets the stylesheet's URL from the provider.xml
  Returns:
    String URL location

### filterContent

    public void filterContent(oracle.portal.provider.v1.PortletRenderRequest pr,
                              java.io.InputStream urlStream)
                       throws java.io.IOException,
                              oracle.portal.provider.v1.PortletException

  filterResponse method takes PortletRenderRequest and InputStream as arguments, If the "filterType" is text/html, the coming InputStream is converted into XHTML using Tidy. An oracle DOM is construsted using the XHTML source and a stylesheet (defaultXhtml.xsl) is applied on it. If the "filterType" is text/xml, the coming XML is processed by spectifed stylesheet in provider.xml
  Parameters:
    `PortletRenderRequest` - pr
    `java.io.InputStream` - urlStream

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD